Subject: bug#2501: 22.2.1: terminal mrxvt white - fonts are unreadable

From: Andrew Hyatt <[email-masked]>
Date: Wed, 13 Jan 2016 23:58:06 -0500

I can reproduce this on an xterm brought up on OS X in Emacs 25, so I'm
removing the unreproducible tag.

IMHO, Emacs should have a way to configure all faces to be legible. We
already have shr-color-check thanks to Julien Danjou, it should be an
interesting project for someone to use that to correct all faces. I
think trying to squash each instance of an illegible font without that
sort of solution would be a never-ending task, considering all the
themes out there.

Jari Aalto <[email-masked]> writes:

> Dan Nicolaescu <[email-masked]> writes:
>>   > I started mrxvt from xterm:
>>   > 
>>   >     $ xterm
>>   >     $ echo $TERM
>>   >     xterm
>>   >     $ mrxvt &
>>   > 
>>   >     mrxvt$ echo $TERM
>>   >     rxvt
>>   >     <terminal is open in black on white>
>>
>> It works just fine for me on Fedora 10, with emacs CVS HEAD, emacs-22.3
>> on either rxvt and mrxvt.
>
> Same results as in sent picture under Debian/rxvt. colors are unreadble.
> Built 2009-02-28 00:00 UTC+2
>
> $ /usr/local/bin/emacs -Q -q --batch --eval '(princ emacs-version)'
> 23.0.91.2
>
>> Try setting COLORFGBG to: 0;default
>
> $  COLORFGBG="0;default" /usr/local/bin/emacs -Q -q -nw ~/tmp/test.el
> No change. Same results as before. Environemt attached.
>
> Jari
>
> $ env | grep -i color
> LS_COLORS=no=00:fi=00:di=01;34:ln=01;36:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:su=37;41:sg=30;43:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.svgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.bz2=01;31:*.bz=01;31:*.tbz2=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.aac=00;36:*.au=00;36:*.flac=00;36:*.mid=00;36:*.midi=00;36:*.mka=00;36:*.mp3=00;36:*.mpc=00;36:*.ogg=00;36:*.ra=00;36:*.wav=00;36:
> COLORTERM=rxvt-xpm
>
> $  env | grep -i term
> MRXVT_TABTITLE=Terminal
> TERM=rxvt
> XTERM_SHELL=/bin/bash
> XTERM_VERSION=XTerm(241)
> XTERM_LOCALE=en_DK.UTF-8
> TERMINFO=/usr/share/terminfo
> COLORTERM=rxvt-xpm